Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.ast.expr
[Java] Interface ExpressionTransformer

    public interface ExpressionTransformer

Provides a way to transform expressions

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`Expression` | `transform(Expression expression)` Transforms the given expression into another expression

Method Detail

### transform

    public Expression transform(Expression expression)

  Transforms the given expression into another expression

Groovy Documentation